using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;

namespace CarCenterContracts.StoragesContracts
{
    public interface ISaleStorage
    {
        List<SaleViewModel> GetFullList();

        List<SaleViewModel> GetFilteredList(SaleSearchModel model);

        SaleViewModel? GetElement(SaleSearchModel model);

        SaleViewModel? Insert(SaleBindingModel model);

        SaleViewModel? Update(SaleBindingModel model);

        SaleViewModel? Delete(SaleBindingModel model);
    }
}
